> For the complete documentation index, see [llms.txt](https://developers.didomi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.didomi.io/cmp/mobile-sdk/vega-os/versions.md).

# Versions

#### 0.2.2 (Jun 25th, 2026) <a href="#id-2.30.0-september-17-2025" id="id-2.30.0-september-17-2025"></a>

* fix: `isCMPDisplayed` staying stuck after `preferences.hidden`. Notice and preferences visibility are now tracked independently and the displayed state is derived from both, so the CMP hides correctly when preferences close and stays visible when navigating back from preferences to the notice.
* fix: setCurrentUserStatus now performs partial consent updates

#### 0.2.1 (May 22nd, 2026) <a href="#id-2.30.0-september-17-2025" id="id-2.30.0-september-17-2025"></a>

* fix: preferences screen back navigation handling

#### 0.2.0 (May 6th, 2026) <a href="#id-2.30.0-september-17-2025" id="id-2.30.0-september-17-2025"></a>

* fix: missing mehods `notice.hide` and `preferences.hide`
* Add `onNoticeClickDisagree` event callback and improve `onError` callback
* fix: existing `click` events are incorrectly triggered&#x20;

#### 0.1.0 (April 23rd, 2026) <a href="#id-2.30.0-september-17-2025" id="id-2.30.0-september-17-2025"></a>

* fix: inconsistent skdPath set by default

#### 0.0.2 (October 1st, 2025) <a href="#id-2.30.0-september-17-2025" id="id-2.30.0-september-17-2025"></a>

**Features:**

* Official release: upgrade to the latest Amazon Vega libraries


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.didomi.io/cmp/mobile-sdk/vega-os/versions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
